ReplicationConfig (Oracle - Berkeley DB Java API)
Date: 2013-09-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 5.3.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.db
Class ReplicationConfig

    java.lang.Object
      com.sleepycat.db.ReplicationConfig

All Implemented Interfaces:
  Cloneable

    public final class ReplicationConfig

extends Object
implements Cloneable

Settings that configure Berkeley DB replication. Used in the `Environment.setReplicationConfig(com.sleepycat.db.ReplicationConfig, boolean)` method.

Field Summary
`static ReplicationConfig` | `AUTOINIT` The replication master should automatically re-initialize outdated clients (defaults to on.)
`static ReplicationConfig` | `BULK` The replication master should send groups of records to the clients in a single network transfer.
`static ReplicationConfig` | `DELAYCLIENT` The client should delay synchronizing to a newly declared master (defaults to off).
`static ReplicationConfig` | `ELECTIONS` Replication Manager automatically runs elections to choose a new master when the old master appears to have become disconnected.
`static ReplicationConfig` | `LEASE` Master leases will be used for this site.
`static ReplicationConfig` | `NOWAIT` Berkeley DB method calls that would normally block while clients are in recovery should return errors immediately.
`static ReplicationConfig` | `STRICT_2SITE` Replication Manager observes the strict "majority" rule in managing elections, even in a group with only 2 sites.

Method Summary
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### BULK

    public static final ReplicationConfig BULK

  The replication master should send groups of records to the clients in a single network transfer.

### DELAYCLIENT

    public static final ReplicationConfig DELAYCLIENT

  The client should delay synchronizing to a newly declared master (defaults to off). Clients configured in this way will remain unsynchronized until the application calls the `Environment.syncReplication()` method.

### AUTOINIT

    public static final ReplicationConfig AUTOINIT

  The replication master should automatically re-initialize outdated clients (defaults to on.)

### NOWAIT

    public static final ReplicationConfig NOWAIT

  Berkeley DB method calls that would normally block while clients are in recovery should return errors immediately.

### STRICT_2SITE

    public static final ReplicationConfig STRICT_2SITE

  Replication Manager observes the strict "majority" rule in managing elections, even in a group with only 2 sites. This means the client in a 2-site group will be unable to take over as master if the original master fails or becomes disconnected. (See the Elections section in the Berkeley DB Reference Guide for more information.) Both sites in the replication group should have the same value for this parameter.

### ELECTIONS

    public static final ReplicationConfig ELECTIONS

  Replication Manager automatically runs elections to choose a new master when the old master appears to have become disconnected. This option is turned on by default.

### LEASE

    public static final ReplicationConfig LEASE

  Master leases will be used for this site.

  Configuring this option may result in the `Database.get()` and `Cursor.get*()` methods throwing a `DatabaseException` when attempting to read entries from a database after the site's master lease has expired.

  Once this option is turned on, it may never be turned off.

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 5.3.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2013 Oracle and/or its affiliates. All rights reserved.